#ifndef __CMDERROR_H__
#define __CMDERROR_H__

namespace Aspera {

namespace Command {

    class Buffer;

    /*! \brief
     *  The class to return error information to the user
     */
    class CmdError
    {

    private:
        int num;
        char *str;

    public:
        CmdError();
        ~CmdError();
       /*! \brief
        *  Returns the error code
        */
        int getErrorNum();
       /*! \brief
        *  Returns the error description
        */
        char* getErrorStr();
        void setErrorNum(int errnum);
        void setErrorStr(char *errstr);
       /*! \brief
        *  Prints a summary of the error
        */
        void printError();
    };
}
}
#endif
